Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class FrequencyAndMoment1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.FrequencyAndMoment1

public class FrequencyAndMoment1 extends Object

Java class for FrequencyAndMoment1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FrequencyAndMoment1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Frequency6Code"/>
             <element name="PtInTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Exact2NumericText"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ptInTm`
`protected Frequency6Code`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`FrequencyAndMoment1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPtInTm()`
Gets the value of the ptInTm property.
`Frequency6Code`
`getTp()`
Gets the value of the tp property.
`void`
`setPtInTm(String value)`
Sets the value of the ptInTm property.
`void`
`setTp(Frequency6Code value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected Frequency6Code tp

### ptInTm

protected String ptInTm

## Constructor Details

### FrequencyAndMoment1

public FrequencyAndMoment1()

## Method Details

### getTp

public Frequency6Code getTp()
Gets the value of the tp property.

Returns:
  possible object is `Frequency6Code`

### setTp

public void setTp(Frequency6Code value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `Frequency6Code`

### getPtInTm

public String getPtInTm()
Gets the value of the ptInTm property.

Returns:
  possible object is `String`

### setPtInTm

public void setPtInTm(String value)
Sets the value of the ptInTm property.

Parameters:
  `value` - allowed object is `String`